Package: groovy.xml

## [Groovy] Class StreamingDOMBuilder

- groovy.xml.StreamingDOMBuilder

-     @SuppressWarnings(value: Instanceof)
      class StreamingDOMBuilder
      extends AbstractStreamingBuilder

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `builder`
    `Object` | `commentClosure`
    `Object` | `defaultNamespaceStack`
    `Object` | `noopClosure`
    `Object` | `pendingStack`
    `Object` | `piClosure`
    `Object` | `tagClosure`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class AbstractStreamingBuilder` | `aliasSetupClosure, badTagClosure, builder, getNamespaceClosure, namespaceSetupClosure, specialTags, toMapStringClosure`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamingDOMBuilder()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `bind(Object closure)`

- - ### Property Detail

    - #### Object builder

    - #### Object commentClosure

    - #### Object defaultNamespaceStack

    - #### Object noopClosure

    - #### Object pendingStack

    - #### Object piClosure

    - #### Object tagClosure

  - ### Constructor Detail

    - #### StreamingDOMBuilder()

  - ### Method Detail

    - #### Object bind(Object closure)